\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
mpz_class Class Reference
GMP

`#include <CGAL/gmpxx.h>`

## Definition

The class `mpz_class` is an exact multiprecision integer number type, provided by Gmp.

CGAL provides the necessary functions to make it compliant to the number type concept.

Is Model Of:

  `EuclideanRing`

  `RealEmbeddable`

See the Gmp documentation for additional details.